Subject: AW: [Sip] AW: Why Proxies are Good and B2BUAs May Not Be --> NO

From: [email-masked]
Date: Wed, 27 Feb 2002 09:50:57 +0100

Hi Dean,

perhaps I was a bit struck with the SIMPLE world that I'm currently
working on, so it's that pair of glasses that I'm looking through just now.

> Thomas asks:
> > just curious: how would you classify a 'gateway' (my 
> termporary name)
> > that translates SIP-via-XML to and from SIP/2.0/UDP ?
...
> It's a "gateway".  From a SIP perspective, it's just a UA, 
> just as a phone
> is a UA that translates SIP and RTP to/from user interface and sound.

Oh, I did not talk abaout any transport layer, RTP or whatever. 
That would be a totally different matter.

> Other gateways include SIMPLE<->Jabber, SIP<->H.323,  SIMPLE<->AOL,
> SIP<->SS7, and so on . . .

True. But what about a thing, that would not change the "upper layers"
of SIP. Say, translating the SIP messages received over XML/HTTP  to
standard SIP over UDP. 
This could be coupled with a "standard" SIP proxy of course. So it would 
then be a proxy that accepted only a new transfer encoding of SIP.

> Essentially, anything that does SIP->somethingelse->SIP can 
> be considered a
> form of B2BUA. 
No. Only *if* it changes the data.

>Feature transparency across such a stucture 
> requires a fully
> homomorphic mapping between SIP and somethingelse. 
It does not map SIP to something else, 
it only encapsulates the SIP header fields into XML-tags.

...

> > My personal view:
> > I personally feel the term SIP 'proxy' as badly chosen, as 
> it implies
> > that the usual connection model were end-to-end, very much like
> > the original SMTP-model RFC821, where users would work as logged-in
> > users on multi-user machines (SysVR4 whatever;).
> > As with E-Mail, I would expect this model to vanish from the
> > SIP-world, just like it is the far minority for SMTP nowadays.
> > So I'd rather call a SIP 'proxy' a SIP "server".
> 
> Actually, the idea is that that SIP proxy functions are very 
> analagous to
> SMTP relays. They apply some policy control, and forward 
> messages on to
> their destination using layer 4+ routing information with 
> very little regard
> for (and hopefully little alteration of) the actual content 
> of the messages.

I don't really understand how you distinguish a SIP proxy from 
an RTP streaming server (or any other end-to-end data channel) here.
At least, if not talking about in-band user-data, like SIMPLE.

> > Likewise I'd say a REGISTER will eventually be used like a 'LOGIN'.
> > In the RFC, one can easily imagine, that such a clarification would
> > put away a lot of puzzeling of terms in the REGISTER examples.
> 
> Yeah, this one really confuses people with a background in GSM mobile
> phones, where registration IS "login". I probably spend two 
> days a week
> fighting this hydra, and it grows back its heads faster than  
> can burn them
> off. My suggestion was to rename the REGISTER message 
> "SETCONTACT", but the
> lead editors for the spec were not amused.
>
> Dean

As I said before, I was a bit stuck to the SIMPLE view... 
Perhaps the semantics of SIP are a bit strained by SIMPLE with regard
to the REGISTER process.

And, could you give me a pointer, which 3G doc defines the relation
between SIP user registry (shouldn't it be in VHE?) and HSS? Thanks. ;)

Anyway, I would still like to know how you think about an XML-transmission
of SIP messages. It could do a lot good. Just think about the big number of
clients that support XML, and the overwhelming support of servlets, which
can easily be used for XML, but not for SIP-over-UDP nor SIP-over-TCP.

Best greetings,
Thomas Nagel

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Dean Willis" <[email-masked]>
Date: Wed, 27 Feb 2002 15:13:05 -0600

> then be a proxy that accepted only a new transfer encoding of SIP.

That's an interesting metaphysical question. As the SIP specification does
specify the transfer encoding at layer 3, so it's an open question whether a
different encoding would still be "standard". But one could theoretically
preserve feature transparency over such a coding, so a "proxy" in this mode
is not completely ridiculous.

> No. Only *if* it changes the data.

Or if it changes the timing characteristics, etc.

> it only encapsulates the SIP header fields into XML-tags.

So what does it do if it sees a SIP message type that it's never seen
before?

. . . .
> Perhaps the semantics of SIP are a bit strained by SIMPLE with regard

The semantics of SIP, in general, are a bit strained by the REGISTER
process. REGISTER is a very different operation from everything else SIP
does. Arguments have been made that if we were inventing SIP today, we might
not include REGISTER at all.

> between SIP user registry (shouldn't it be in VHE?) and HSS? Thanks. ;)

You know, I don't actually know exactly where this is. I'd start with
23.228, I believe. Any of you CN1 guys know more precisely?

> can easily be used for XML, but not for SIP-over-UDP nor SIP-over-TCP.

Actually, there is a SIP Servlet specification.

--
Dean

---

From: "Dean Willis" <[email-masked]>
Date: Wed, 27 Feb 2002 15:13:01 -0600

. . . .

--
Dean